package AuthorImporter::Theme;
use strict;

use MT;
use MT::Author;
use Data::Dumper;


sub import {
    my ( $element, $theme, $obj_to_apply ) = @_;
    my $authors = $element->{data};
    _add_authors( $theme, $obj_to_apply, $authors, 'author' )
        or die "Failed to create theme default Authors";
    return 1;
}


sub _add_authors {
    my ( $theme, $blog, $authors, $class ) = @_;
    my $app = MT->instance;

    for my $basename ( keys %$authors ) {
        my $author = $authors->{$basename};

        next if MT->model($class)->count({
            name => $author->{name},
        });

        my $obj = MT->model($class)->new();
        $obj->basename( $authors->{$basename} );
        $obj->name( $author->{name} );
        $obj->nickname( $author->{nickname} );
        $obj->password( $author->{password} );
        $obj->email( $author->{email} );
        $obj->auth_type( $author->{auth_type} );
        $obj->preferred_language( $author->{preferred_language} );
        $obj->save or die $obj->errstr;

    }
    1;
}

1;
